%Nodes_3_tSH_tSH_tHS_noKTs.m                                       %2006_04_06  %Ali 

%Representative motif is: Hm 23S IL34 (NTs 815-819,794-798)
% 819 A    <cWW (1) >  U 794    %node6
% 818 A    <tHS (10)>  G 795    %node5
% 817 G    <tSH (10)>  A 796    %node4
% 816 G    <tSH (10)>  A 797    %node3
% 815 U    <cWW (1) >  G 798    %node2

n=1;
  Node(n).type      = 'Initial';
  Node(n).nextnode  = n+1;
  Node(n).lpar      = 0.05;
  Node(n).rpar      = 0.05;

n=2;% 815 U    <cWW (1) >  G 798    %node2
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,4,3,0.01);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [(2/7)*ones(16,1); 0];
  Node(n).rpar      = [(2/7)*ones(16,1); 0];
  
n=3;% 816 G    <tSH (10)>  A 797    %node3
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(10,3,1,0.011);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.011*ones(16,1); 0];
  Node(n).rpar      = [0.011*ones(16,1); 0];

n=4;% 817 G    <tSH (10)>  A 796    %node4
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(10,3,1,0.013);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.011*ones(16,1); 0];
  Node(n).rpar      = [0.011*ones(16,1); 0];

n=5;% 818 A    <tHS (10)>  G 795    %node5
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(10,1,3,0.012); %notice that Hm 23S (IL96) has this bp as tSH (+10)
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [(4/7)*ones(16,1); 0];
  Node(n).rpar      = [(4/7)*ones(16,1); 0]; %12/10?????
  
n=6;% 819 A    <cWW (1) >  U 794    %node6
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,1,4,0.011);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.013*ones(16,1); 0];
  Node(n).rpar      = [0.013*ones(16,1); 0];
  
n=7;
  Node(n).type      = 'Hairpin';
  Node(n).subtype   = '....';
  Node(n).nextnode  = Inf;
  Node(n).P         = ones(17,1);
  Node(n).PIns      = 1;
  